Skip to main content
`Ctrl`+`K`

# numpy.degrees

numpy.degrees(x, /, out=None, *, where=True, casting='same_kind', order='K', dtype=None, subok=True[, signature]) = <ufunc 'degrees'>

  Convert angles from radians to degrees.

  Parameters:
    x array_like

      Input array in radians.

    out ndarray, None, or tuple of ndarray and None, optional

      A location into which the result is stored. If provided, it must have a shape that the inputs broadcast to. If not provided or None, a freshly-allocated array is returned. A tuple (possible only as a keyword argument) must have length equal to the number of outputs.

    where array_like, optional

      This condition is broadcast over the input. At locations where the condition is True, the out array will be set to the ufunc result. Elsewhere, the out array will retain its original value. Note that if an uninitialized out array is created via the default `out=None`, locations within it where the condition is False will remain uninitialized.

    **kwargs

      For other keyword-only arguments, see the ufunc docs.

  Returns:
    y ndarray of floats

      The corresponding degree values; if out was supplied this is a reference to it. This is a scalar if x is a scalar.

  See also

  `rad2deg`

    equivalent function

  Examples

  Convert a radian array to degrees

      >>> import numpy as np
      >>> rad = np.arange(12.)*np.pi/6
      >>> np.degrees(rad)
      array([   0.,   30.,   60.,   90.,  120.,  150.,  180.,  210.,  240.,
              270.,  300.,  330.])

      >>> out = np.zeros((rad.shape))
      >>> r = np.degrees(rad, out)
      >>> np.all(r == out)
      True